aboutsummaryrefslogtreecommitdiff
path: root/lint/vim.sh
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2018-12-26 18:32:34 +1300
committerTom Ryder <tom@sanctum.geek.nz>2018-12-26 18:32:34 +1300
commite23443b927b159a3fcd134f96c208c74e4ad6fe2 (patch)
tree49ee3226cad80af63c40c07dbf1d090a9e582b15 /lint/vim.sh
parentMerge branch 'hotfix/v3.6.1' (diff)
parentBump VERSION (diff)
downloaddotfiles-e23443b927b159a3fcd134f96c208c74e4ad6fe2.tar.gz
dotfiles-e23443b927b159a3fcd134f96c208c74e4ad6fe2.zip
Merge branch 'release/v4.0.0'v4.0.0
* release/v4.0.0: Switch to two-space sentences Remove repeat.vim and surround.vim Force 'ttymouse' off a little more carefully No longer need a longer 'timeoutlen' in Vim Include /usr/tmp in 'backupskip' Factor out vimrc user 'runtimepath' switching
Diffstat (limited to 'lint/vim.sh')
-rw-r--r--lint/vim.sh19
1 files changed, 1 insertions, 18 deletions
diff --git a/lint/vim.sh b/lint/vim.sh
index bd8e73af..b3b2e261 100644
--- a/lint/vim.sh
+++ b/lint/vim.sh
@@ -1,19 +1,2 @@
-# Build an argument list of checks to make
-set --
-for vim in vim/* vim/bundle/* ; do
- [ -e "$vim" ] || continue
- case $vim in
-
- # Skip third-party plugins
- vim/bundle) ;;
- vim/bundle/repeat) ;;
- vim/bundle/surround) ;;
-
- # Check everything else
- *) set -- "$@" "$vim" ;;
-
- esac
-done
-
# Run check
-vint -s -- "$@" || exit
+vint -s -- vim || exit